using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Consulenza.ReportArchive.Entity
{
    public class DocumentoPdf
    {            
        public long IdPdf {get;set;}
        public int IdModello    {get;set;}         
        public string IdStato   {get;set;}
        public string IdArchivio {get;set;}
        public string CodicePB  {get;set;}
        public string Note  {get;set;}
        public byte[] Image {get;set;}       
        public long ChiaveNucleo{get;set;}
        public List<Cliente> Clienti { get; set; }
        public DateTime dtCreazione {get;set;}
        public DateTime dtRestore {get;set;}
        public DateTime dtEliminato { get; set; }
        public List<LogPdf> logPdf {get;set;}
        public static string ChiaveClientePb(List<Cliente> clienti)
        {   string ris="";
            string token = "";
            if(clienti!=null)
            foreach (Cliente cliente in clienti)
            {
                ris += token + cliente.ChiaveClientePb;
                token = ",";
            }
            return ris;         
        }
        public static string codiceContratto(List<Cliente> clienti)
        {   string ris="";
            string token = "";
            if (clienti != null)
            foreach (Cliente cliente in clienti)
            {
                ris += token + cliente.CodiceContratto;
                token = ",";
            }
            return ris;         
        }
        public static string ChiaveProposta(List<Cliente> clienti)
        {
            string ris = "";
            string token = "";
            if (clienti != null)
                foreach (Cliente cliente in clienti)
                {
                    ris += token + cliente.ChiaveProposta;
                    token = ",";
                }
            return ris;
        }
        public static string PropostaBase(List<Cliente> clienti)
        {
            string ris = "";
            string token = "";
            if (clienti != null)
                foreach (Cliente cliente in clienti)
                {
                    ris += token + cliente.PropostaBase;
                    token = ",";
                }
            return ris;
        } 
    }
}
